<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: shutter_panel.php
| Version: 1.0
| Author: jikaka
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."shutter_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."shutter_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."shutter_panel/locale/English.php";
}

add_to_head("
<link type='text/css' href='".INFUSIONS."shutter_panel/css/styles.css' media='screen' rel='stylesheet' />
<script type='text/javascript' src='".INFUSIONS."shutter_panel/js/jquery.shutter.js'></script>
<script type='text/javascript'>
$(document).ready(function(){
	var container = $('#container'),
		li = container.find('li');
	container.tzShutter({
		imgSrc: '".INFUSIONS."shutter_panel/js/shutter.png',
		closeCallback: function(){
			li.filter(':visible:first').hide();
			if(li.filter(':visible').length == 0){
				li.show();
			}
			setTimeout(function(){container.trigger('shutterOpen')},100);
		},
		loadCompleteCallback:function(){
			setInterval(function(){
				container.trigger('shutterClose');
			},4000);
			container.trigger('shutterClose');
		}
	});
});
</script>
");

$result=dbquery(
	"SELECT * FROM ".$db_prefix."photo_albums ta ".
	"JOIN ".$db_prefix."photos USING (album_id)
	WHERE ".groupaccess('album_access')."
	ORDER BY photo_datestamp DESC"
	);

opentable($locale['shp001']);
if (dbrows($result)!= "0") {
	echo "<div id='container'><ul>";
	while($data = dbarray($result)) {
		echo "<li><a href='".BASEDIR."photogallery.php?photo_id=".$data['photo_id']."' class='side'>";
		echo "<img src='".PHOTOS."album_".$data['album_id']."/".$data['photo_filename']."' width='640' height='450' title='".$data['photo_title']."' alt='".$data['photo_title']."' style='margin:-20px 0 0 -40px;' border='0' />";
		echo "</a></li>";	
	}
	echo "</ul></div>";
} else {
	echo $locale['shp002'];
}
closetable();
?>